#!/usr/bin/env node

let cli, hooks, version

try {
  cli = require('@dtwo/cli')
  version = require('@dtwo/cli/package.json').version
} catch (err) {
  cli = require('@dtwo/cli-edge')
  version = require('@dtwo/cli-edge/package.json').version
}

const { coerce, gte } = require('semver')

if (gte(coerce(version), '2.15.0')) {
  const chalk = require('chalk')
  const consola = require('consola')
  consola.warn(chalk`You're using Dtwo {green ${version}}, which includes built-in TypeScript {blue runtime} support`)
  consola.warn(chalk`You can safely use {green dtwo} instead of {yellow dtwo-ts} and remove {blue @dtwo/typescript-runtime} package`)
  hooks = {}
} else {
  hooks = require('..').hooks
}

cli.run(null, hooks)
  .catch((error) => {
    require('consola').fatal(error)
    require('exit')(2)
  })
